org.eclipse.incquery.runtime.localsearch.matcher

## Class ISearchContext.SearchContext

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.matcher.ISearchContext.SearchContext

- All Implemented Interfaces:
    ISearchContext
  Enclosing interface:
    ISearchContext

      public static class ISearchContext.SearchContext
      extends java.lang.Object
      implements ISearchContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.localsearch.matcher.ISearchContext

      `ISearchContext.SearchContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchContext(IBaseIndex baseIndex)`
    `SearchContext(IBaseIndex baseIndex, java.util.Set<org.eclipse.emf.ecore.EClass> classes, java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes, java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)`
    `SearchContext(org.eclipse.emf.ecore.resource.ResourceSet set, java.util.Set<org.eclipse.emf.ecore.EClass> classes, java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes, java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NavigationHelper` | `getBaseIndex()`
    `LocalSearchMatcher` | `getMatcher(MatcherReference reference)` Returns a matcher for a selected query specification.
    `void` | `loadMatcher(MatcherReference reference, LocalSearchMatcher matcher)` Temporary load function for storing local search matchers
    `void` | `registerObservedTypes(java.util.Set<org.eclipse.emf.ecore.EClass> classes, java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes, java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchContext

          public SearchContext(IBaseIndex baseIndex)

    - #### SearchContext

          public SearchContext(org.eclipse.emf.ecore.resource.ResourceSet set,
                               java.util.Set<org.eclipse.emf.ecore.EClass> classes,
                               java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes,
                               java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)
                        throws IncQueryBaseException

      Throws:
        `IncQueryBaseException`

    - #### SearchContext

          public SearchContext(IBaseIndex baseIndex,
                               java.util.Set<org.eclipse.emf.ecore.EClass> classes,
                               java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes,
                               java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)

  - ### Method Detail

    - #### registerObservedTypes

          public void registerObservedTypes(java.util.Set<org.eclipse.emf.ecore.EClass> classes,
                                            java.util.Set<org.eclipse.emf.ecore.EDataType> dataTypes,
                                            java.util.Set<org.eclipse.emf.ecore.EStructuralFeature> features)

      Specified by:
        `registerObservedTypes` in interface `ISearchContext`

    - #### getBaseIndex

          public NavigationHelper getBaseIndex()

      Specified by:
        `getBaseIndex` in interface `ISearchContext`

    - #### loadMatcher

          public void loadMatcher(MatcherReference reference,
                                  LocalSearchMatcher matcher)

      Description copied from interface: `ISearchContext`
      Temporary load function for storing local search matchers
      Specified by:
        `loadMatcher` in interface `ISearchContext`

    - #### getMatcher

          public LocalSearchMatcher getMatcher(MatcherReference reference)

      Description copied from interface: `ISearchContext`
      Returns a matcher for a selected query specification. TODO should return a generic concept, based on the current IncQueryEngine
      Specified by:
        `getMatcher` in interface `ISearchContext`